<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Atenciones;
use Carbon\Carbon;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});

Route::get('Atenciones/', function () {
        $ciudad = Atenciones::where('tipo',2)->paginate(10);
        return $ciudad;
});
Route::get('Atenciones/{id}', function ($id) {
    $ciudad = Atenciones::find($id);
    return $ciudad;
});
Route::post('Atenciones', function () {
    $request = json_decode(request()->getContent(), true);
    $id = $request['id'];
    $atenciones = Atenciones::find($id);
    //$atenciones->codigo_atencion = $request->id;
    $atenciones->nombre_atencion = $request['nombre'];
    $atenciones->tipo = $request['tipo'];
    $atenciones->fecha_registro = Carbon::now();
    $atenciones->ate_estado = 0;

    if($atenciones->save()){
        return array('datosRespuesta'=>'Se actualizo con exito');
    }else{
        return array('datosRespuesta'=>'Error');
    } 
});
Route::post('AddAtenciones', function () {
    $request = json_decode(request()->getContent(), true);
  
    $atenciones = new Atenciones();
    $atenciones->codigo_atencion = $request['nombre'];
    $atenciones->nombre_atencion = $request['nombre'];
    $atenciones->tipo = $request['tipo'];
    $atenciones->fecha_registro = Carbon::now();
    $atenciones->ate_estado = 0;
    $atenciones->cuenta = 0;
    $atenciones->valor = 0;
    $atenciones->codsiigo = 0;
    $atenciones->consentimiento = 0;

    if($atenciones->save()){
        return array('datosRespuesta'=>'Se registro con exito');
    }else{
        return array('datosRespuesta'=>'Error');
    } 
});
Route::get('DelAtenciones/{id}', function ($id) {
    $ciudad = Atenciones::where('id_atencion',$id)->delete();
    return array('datosRespuesta'=>'Se ha elimiando con exito');
});